import history from '../../utils/history';
Component({
  props: {
    componentData: {},
    refundList: []
  },
  data: {
    show: false,
    title: '退款'
  },

  didMount() {},

  methods: {
    onClosePopup() {
      this.setData({
        show: false
      });
    },

    onItemTap(e) {
      // data-xx 事件回调后 获取退款订单号
      const {
        refundid: refundId
      } = e.target.dataset;
      this.onClosePopup(); // 退款单号查询退款详情

      history.push({
        title: '退款详情',
        pageType: 'refund-detail',
        componentData: {},
        query: {
          refundId
        },
        header: ''
      });
    },

    onOpenPopup() {
      this.setData({
        show: true
      });
    },

    onPopupClose() {
      this.onClosePopup();
    }

  }
});